Index: jivesoftware/xiff/bookmark/BookmarkPrivatePayload.as
===================================================================
--- jivesoftware/xiff/bookmark/BookmarkPrivatePayload.as	(revision 10990)
+++ jivesoftware/xiff/bookmark/BookmarkPrivatePayload.as	(working copy)
@@ -9,8 +9,8 @@
 	public class BookmarkPrivatePayload implements IPrivatePayload {
 		
 		private var _groupChatBookmarks:Array = [];
-		private var _urlBookmarks:Array = new Array();
-		private var _others:Array = new Array();
+		private var _urlBookmarks:Array = [];
+		private var _others:Array = [];
 		
 		public function BookmarkPrivatePayload(groupChatBookmarks:Array = null, urlBookmarks:Array = null) {
 			if(groupChatBookmarks) {
Index: jivesoftware/xiff/conference/InviteListener.as
===================================================================
--- jivesoftware/xiff/conference/InviteListener.as	(revision 10990)
+++ jivesoftware/xiff/conference/InviteListener.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-20077
  * Nick Velloff <nick.velloff@gmail.com>
  * Derrick Grigg <dgrigg@rogers.com>
Index: jivesoftware/xiff/conference/Room.as
===================================================================
--- jivesoftware/xiff/conference/Room.as	(revision 10990)
+++ jivesoftware/xiff/conference/Room.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007
  * Nick Velloff <nick.velloff@gmail.com>
  * Derrick Grigg <dgrigg@rogers.com>
Index: jivesoftware/xiff/core/Browser.as
===================================================================
--- jivesoftware/xiff/core/Browser.as	(revision 10990)
+++ jivesoftware/xiff/core/Browser.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright 2003-2009
  * Sean Voisen <sean@voisen.org>
  * Sean Treadway <seant@oncotype.dk>
@@ -51,7 +51,7 @@
 		public function Browser( conn:XMPPConnection )
 		{
 			connection = conn;
-			_pending = new Object();
+			_pending = {};
 		}
 	
     /**
Index: jivesoftware/xiff/core/XMPPBOSHConnection.as
===================================================================
--- jivesoftware/xiff/core/XMPPBOSHConnection.as	(revision 10990)
+++ jivesoftware/xiff/core/XMPPBOSHConnection.as	(working copy)
@@ -309,10 +309,10 @@
 			}
 		}
 
-		private function httpResponse(req:XMLNode, isPollResponse:Boolean, evt:ResultEvent):void
+		private function httpResponse(req:XMLNode, isPollResponse:Boolean, event:ResultEvent):void
 		{
 			requestCount--;
-			var rawXML:String = evt.result as String;
+			var rawXML:String = event.result as String;
 			
 			logger.info("INCOMING {0}", rawXML);
 			
@@ -321,9 +321,9 @@
 			xmlData.parseXML(rawXML);
 			var bodyNode:XMLNode = xmlData.firstChild;
 			
-			var event:IncomingDataEvent = new IncomingDataEvent();
-			event.data = xmlData;
-			dispatchEvent(event);
+			var incomingEvent:IncomingDataEvent = new IncomingDataEvent();
+			incomingEvent.data = xmlData;
+			dispatchEvent(incomingEvent);
 			
 			if(streamRestarted && !bodyNode.hasChildNodes())
 			{
@@ -366,10 +366,10 @@
 				pollServer();
 		}
 		
-		private function httpError(req:XMLNode, isPollResponse:Boolean, evt:FaultEvent):void
+		private function httpError(req:XMLNode, isPollResponse:Boolean, event:FaultEvent):void
 		{
 			disconnect();
-			dispatchError("Unknown HTTP Error", evt.fault.rootCause.text, "", -1);
+			dispatchError("Unknown HTTP Error", event.fault.rootCause.text, "", -1);
 		}
 		
 		protected override function sendXML(body:*):void
Index: jivesoftware/xiff/core/XMPPConnection.as
===================================================================
--- jivesoftware/xiff/core/XMPPConnection.as	(revision 10990)
+++ jivesoftware/xiff/core/XMPPConnection.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Nick Velloff <nick.velloff@gmail.com>
  * Derrick Grigg <dgrigg@rogers.com>
@@ -230,7 +230,7 @@
 		{	
 			
 			// Hash to hold callbacks for IQs
-			pendingIQs = new Object();
+			pendingIQs = {};
 			
 			_useAnonymousLogin = false;
 			active = false;
@@ -841,11 +841,11 @@
 	        return pres;
 		}
 		
-		protected function flushPresenceQueue(evt:TimerEvent):void
+		protected function flushPresenceQueue(event:TimerEvent):void
 		{
-			var event:PresenceEvent = new PresenceEvent();
-			event.data = presenceQueue;
-			dispatchEvent( event );
+			var presenceEvent:PresenceEvent = new PresenceEvent();
+			presenceEvent.data = presenceQueue;
+			dispatchEvent( presenceEvent );
 			presenceQueue = [];
 		}
 		
Index: jivesoftware/xiff/data/auth/AuthExtension.as
===================================================================
--- jivesoftware/xiff/data/auth/AuthExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/auth/AuthExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Sean Voisen <sean@voisen.org>
  * Sean Treadway <seant@oncotype.dk>
Index: jivesoftware/xiff/data/auth/SHA1.as
===================================================================
--- jivesoftware/xiff/data/auth/SHA1.as	(revision 10990)
+++ jivesoftware/xiff/data/auth/SHA1.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Sean Voisen <sean@voisen.org>
  * Sean Treadway <seant@oncotype.dk>
Index: jivesoftware/xiff/data/browse/BrowseExtension.as
===================================================================
--- jivesoftware/xiff/data/browse/BrowseExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/browse/BrowseExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Sean Voisen <sean@voisen.org>
  * Sean Treadway <seant@oncotype.dk>
@@ -50,7 +50,7 @@
 			getNode().attributes.xmlns = getNS();
 			getNode().nodeName = getElementName();
 	
-			myItems = new Array();
+			myItems = [];
 		}
 	
 		/**
Index: jivesoftware/xiff/data/browse/BrowseItem.as
===================================================================
--- jivesoftware/xiff/data/browse/BrowseItem.as	(revision 10990)
+++ jivesoftware/xiff/data/browse/BrowseItem.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Sean Voisen <sean@voisen.org>
  * Sean Treadway <seant@oncotype.dk>
Index: jivesoftware/xiff/data/disco/DiscoExtension.as
===================================================================
--- jivesoftware/xiff/data/disco/DiscoExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/disco/DiscoExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Sean Voisen <sean@voisen.org>
  * Sean Treadway <seant@oncotype.dk>
Index: jivesoftware/xiff/data/disco/InfoDiscoExtension.as
===================================================================
--- jivesoftware/xiff/data/disco/InfoDiscoExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/disco/InfoDiscoExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Sean Voisen <sean@voisen.org>
  * Sean Treadway <seant@oncotype.dk>
Index: jivesoftware/xiff/data/disco/ItemDiscoExtension.as
===================================================================
--- jivesoftware/xiff/data/disco/ItemDiscoExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/disco/ItemDiscoExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Sean Voisen <sean@voisen.org>
  * Sean Treadway <seant@oncotype.dk>
Index: jivesoftware/xiff/data/Extension.as
===================================================================
--- jivesoftware/xiff/data/Extension.as	(revision 10990)
+++ jivesoftware/xiff/data/Extension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Nick Velloff <nick.velloff@gmail.com>
  * Derrick Grigg <dgrigg@rogers.com>
Index: jivesoftware/xiff/data/ExtensionClassRegistry.as
===================================================================
--- jivesoftware/xiff/data/ExtensionClassRegistry.as	(revision 10990)
+++ jivesoftware/xiff/data/ExtensionClassRegistry.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data{
+package org.jivesoftware.xiff.data{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
@@ -36,7 +36,7 @@
 	 */
 	public class ExtensionClassRegistry
 	{
-		private static var myClasses:Array = new Array();
+		private static var myClasses:Array = [];
 		
 		public static function register( extensionClass:Class ):Boolean
 		{
Index: jivesoftware/xiff/data/ExtensionContainer.as
===================================================================
--- jivesoftware/xiff/data/ExtensionContainer.as	(revision 10990)
+++ jivesoftware/xiff/data/ExtensionContainer.as	(working copy)
@@ -1,4 +1,4 @@
-﻿
+
 package org.jivesoftware.xiff.data{
 	/*
 	 * Copyright (C) 2003-2007 
@@ -40,13 +40,13 @@
 		public var _exts:Object;
 		
 		public function ExtensionContainer(){
-			_exts = new Object();
+			_exts = {};
 		}
 	
 		public function addExtension( ext:IExtension ):IExtension
 		{
 			if (_exts[ext.getNS()] == null){
-				_exts[ext.getNS()] = new Array();
+				_exts[ext.getNS()] = [];
 			}
 			_exts[ext.getNS()].push(ext);
 			return ext;
@@ -71,7 +71,7 @@
 			for (var i:String in _exts[ns]) {
 				_exts[ns][i].ns();
 			}
-			_exts[ns] = new Array();
+			_exts[ns] = [];
 		}
 	
 		public function getAllExtensionsByNS( ns:String ):Array
@@ -86,7 +86,7 @@
 	
 		public function getAllExtensions():Array
 		{
-			var exts:Array = new Array();
+			var exts:Array = [];
 			for (var ns:String in _exts) {
 			//for (var ns in this[_exts]) {
 				exts = exts.concat(_exts[ns]);
Index: jivesoftware/xiff/data/forms/FormExtension.as
===================================================================
--- jivesoftware/xiff/data/forms/FormExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/forms/FormExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.forms{
+package org.jivesoftware.xiff.data.forms{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Sean Voisen <sean@voisen.org>
@@ -74,9 +74,9 @@
 		public function FormExtension( parent:XMLNode=null )
 		{
 			super(parent);
-			myItems = new Array();
-			myFields = new Array();
-			myReportedFields = new Array();
+			myItems = [];
+			myFields = [];
+			myReportedFields = [];
 		}
 	
 		public function getNS():String
Index: jivesoftware/xiff/data/forms/FormField.as
===================================================================
--- jivesoftware/xiff/data/forms/FormField.as	(revision 10990)
+++ jivesoftware/xiff/data/forms/FormField.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.forms{
+package org.jivesoftware.xiff.data.forms{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Sean Voisen <sean@voisen.org>
@@ -81,8 +81,8 @@
 		{
 			setNode( node );
 	
-	        myValueNodes = new Array();
-	        myOptionNodes = new Array();
+	        myValueNodes = [];
+	        myOptionNodes = [];
 	
 			var children:Array = node.childNodes;
 			for( var i:String in children ) {
@@ -188,7 +188,7 @@
 	    public function set value(val:String) :void
 	    {
 	    	if (myValueNodes == null)
-	    		myValueNodes = new Array();
+	    		myValueNodes = [];
 
 	        myValueNodes[0] = replaceTextNode(getNode(), myValueNodes[0], "value", val);
 	    }
Index: jivesoftware/xiff/data/id/IIDGenerator.as
===================================================================
--- jivesoftware/xiff/data/id/IIDGenerator.as	(revision 10990)
+++ jivesoftware/xiff/data/id/IIDGenerator.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Sean Voisen <sean@voisen.org>
  * Sean Treadway <seant@oncotype.dk>
Index: jivesoftware/xiff/data/id/SharedObjectGenerator.as
===================================================================
--- jivesoftware/xiff/data/id/SharedObjectGenerator.as	(revision 10990)
+++ jivesoftware/xiff/data/id/SharedObjectGenerator.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Sean Voisen <sean@voisen.org>
  * Sean Treadway <seant@oncotype.dk>
Index: jivesoftware/xiff/data/IExtendable.as
===================================================================
--- jivesoftware/xiff/data/IExtendable.as	(revision 10990)
+++ jivesoftware/xiff/data/IExtendable.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data{
+package org.jivesoftware.xiff.data{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
Index: jivesoftware/xiff/data/IExtension.as
===================================================================
--- jivesoftware/xiff/data/IExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/IExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data{
+package org.jivesoftware.xiff.data{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
Index: jivesoftware/xiff/data/im/RosterExtension.as
===================================================================
--- jivesoftware/xiff/data/im/RosterExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/im/RosterExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.im{
+package org.jivesoftware.xiff.data.im{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
@@ -217,7 +217,7 @@
 				myItems[i].setNode( null );
 			}
 			
-			myItems = new Array();
+			myItems = [];
 		}
 	}
 }
\ No newline at end of file
Index: jivesoftware/xiff/data/im/RosterItem.as
===================================================================
--- jivesoftware/xiff/data/im/RosterItem.as	(revision 10990)
+++ jivesoftware/xiff/data/im/RosterItem.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.im{
+package org.jivesoftware.xiff.data.im{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
@@ -55,7 +55,7 @@
 			super();
 			
 			getNode().nodeName = ELEMENT;
-			myGroupNodes = new Array();
+			myGroupNodes = [];
 			
 			if( exists( parent ) ) {
 				parent.appendChild( getNode() );
@@ -129,7 +129,7 @@
 		 */
 		public function get groupNames():Array
 		{
-			var returnArr:Array = new Array();
+			var returnArr:Array = [];
 
 			for( var i:String in myGroupNodes ) {
 				var node:XMLNode = myGroupNodes[i].firstChild;
@@ -153,7 +153,7 @@
 				myGroupNodes[i].removeNode();
 			}
 			
-			myGroupNodes = new Array();
+			myGroupNodes = [];
 		}
 		
 		public function removeGroupByName( groupName:String ):Boolean
Index: jivesoftware/xiff/data/INodeProxy.as
===================================================================
--- jivesoftware/xiff/data/INodeProxy.as	(revision 10990)
+++ jivesoftware/xiff/data/INodeProxy.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data{
+package org.jivesoftware.xiff.data{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
Index: jivesoftware/xiff/data/IQ.as
===================================================================
--- jivesoftware/xiff/data/IQ.as	(revision 10990)
+++ jivesoftware/xiff/data/IQ.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Nick Velloff <nick.velloff@gmail.com>
  * Derrick Grigg <dgrigg@rogers.com>
Index: jivesoftware/xiff/data/ISerializable.as
===================================================================
--- jivesoftware/xiff/data/ISerializable.as	(revision 10990)
+++ jivesoftware/xiff/data/ISerializable.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data{
+package org.jivesoftware.xiff.data{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
Index: jivesoftware/xiff/data/Message.as
===================================================================
--- jivesoftware/xiff/data/Message.as	(revision 10990)
+++ jivesoftware/xiff/data/Message.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Nick Velloff <nick.velloff@gmail.com>
  * Derrick Grigg <dgrigg@rogers.com>
Index: jivesoftware/xiff/data/muc/MUC.as
===================================================================
--- jivesoftware/xiff/data/muc/MUC.as	(revision 10990)
+++ jivesoftware/xiff/data/muc/MUC.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.muc{
+package org.jivesoftware.xiff.data.muc{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
Index: jivesoftware/xiff/data/muc/MUCAdminExtension.as
===================================================================
--- jivesoftware/xiff/data/muc/MUCAdminExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/muc/MUCAdminExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.muc{
+package org.jivesoftware.xiff.data.muc{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
Index: jivesoftware/xiff/data/muc/MUCBaseExtension.as
===================================================================
--- jivesoftware/xiff/data/muc/MUCBaseExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/muc/MUCBaseExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.muc{
+package org.jivesoftware.xiff.data.muc{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
Index: jivesoftware/xiff/data/muc/MUCExtension.as
===================================================================
--- jivesoftware/xiff/data/muc/MUCExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/muc/MUCExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.muc{
+package org.jivesoftware.xiff.data.muc{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
Index: jivesoftware/xiff/data/muc/MUCItem.as
===================================================================
--- jivesoftware/xiff/data/muc/MUCItem.as	(revision 10990)
+++ jivesoftware/xiff/data/muc/MUCItem.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.muc{
+package org.jivesoftware.xiff.data.muc{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
Index: jivesoftware/xiff/data/muc/MUCOwnerExtension.as
===================================================================
--- jivesoftware/xiff/data/muc/MUCOwnerExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/muc/MUCOwnerExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.muc{
+package org.jivesoftware.xiff.data.muc{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
Index: jivesoftware/xiff/data/muc/MUCUserExtension.as
===================================================================
--- jivesoftware/xiff/data/muc/MUCUserExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/muc/MUCUserExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.muc{
+package org.jivesoftware.xiff.data.muc{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
Index: jivesoftware/xiff/data/Presence.as
===================================================================
--- jivesoftware/xiff/data/Presence.as	(revision 10990)
+++ jivesoftware/xiff/data/Presence.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data{
+package org.jivesoftware.xiff.data{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
Index: jivesoftware/xiff/data/register/RegisterExtension.as
===================================================================
--- jivesoftware/xiff/data/register/RegisterExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/register/RegisterExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.register{
+package org.jivesoftware.xiff.data.register{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
@@ -57,7 +57,7 @@
 		public function RegisterExtension( parent:XMLNode=null )
 		{
 			super(parent);
-			myFields = new Object();
+			myFields = {};
 		}
 	
 		public function getNS():String
@@ -129,7 +129,7 @@
 	
 		public function getRequiredFieldNames():Array
 		{
-			var fields:Array = new Array();
+			var fields:Array = [];
 	
 			for (var i:String in myFields) {
 				fields.push(i);
Index: jivesoftware/xiff/data/rpc/RPCExtension.as
===================================================================
--- jivesoftware/xiff/data/rpc/RPCExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/rpc/RPCExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.rpc{
+package org.jivesoftware.xiff.data.rpc{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Sean Voisen <sean@voisen.org>
Index: jivesoftware/xiff/data/rpc/XMLRPC.as
===================================================================
--- jivesoftware/xiff/data/rpc/XMLRPC.as	(revision 10990)
+++ jivesoftware/xiff/data/rpc/XMLRPC.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.rpc{
+package org.jivesoftware.xiff.data.rpc{
 	import flash.xml.XMLDocument;
 	import flash.xml.XMLNode;
 	
@@ -57,7 +57,7 @@
 				result = extractValue(response.firstChild.firstChild.firstChild);
 				result.isFault = true;
 			} else {
-				result = new Array();
+				result = [];
 				var params:XMLNode = findNode("params", response);
 				if (params != null) {
 					for (var param_idx:int=0; param_idx < params.childNodes.length; param_idx++) {
@@ -106,7 +106,7 @@
 					break;
 	
 				case "array":
-					var value_array:Array = new Array();
+					var value_array:Array = [];
 					var next_value:*;
 					for (var data_idx:int=0; data_idx < value.firstChild.childNodes.length; data_idx++) {
 						next_value = value.firstChild.childNodes[data_idx];
@@ -116,7 +116,7 @@
 					break;
 	
 				case "struct":
-					var value_object:Object = new Object();
+					var value_object:Object = {};
 					for (var member_idx:int=0; member_idx < value.childNodes.length; member_idx++) {
 						var member:Array = value.childNodes[member_idx];
 						var m_name:String = member.childNodes[0].firstChild.nodeValue;
Index: jivesoftware/xiff/data/search/SearchExtension.as
===================================================================
--- jivesoftware/xiff/data/search/SearchExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/search/SearchExtension.as	(working copy)
@@ -36,7 +36,7 @@
 		public function SearchExtension( parent:XMLNode=null )
 		{
 			super(parent);
-			myFields = new Object();
+			myFields = {};
 		}
 	
 		public function getNS():String
@@ -104,7 +104,7 @@
 	
 		public function getRequiredFieldNames():Array
 		{
-			var fields:Array = new Array();
+			var fields:Array = [];
 	
 			for (var i:String in myFields) {
 				fields.push(i);
Index: jivesoftware/xiff/data/search/SearchItem.as
===================================================================
--- jivesoftware/xiff/data/search/SearchItem.as	(revision 10990)
+++ jivesoftware/xiff/data/search/SearchItem.as	(working copy)
@@ -23,7 +23,7 @@
 		public function SearchItem(parent:XMLNode=null)
 		{
 			super();
-			myFields = new Object();
+			myFields = {};
 	
 			getNode().nodeName = ELEMENT;
 	
Index: jivesoftware/xiff/data/whiteboard/Path.as
===================================================================
--- jivesoftware/xiff/data/whiteboard/Path.as	(revision 10990)
+++ jivesoftware/xiff/data/whiteboard/Path.as	(working copy)
@@ -24,9 +24,7 @@
 	import org.jivesoftware.xiff.data.ISerializable;
 	import org.jivesoftware.xiff.data.XMLStanza;
 	
-	import org.jivesoftware.xiff.data.whiteboard.WhiteboardExtension;
-	import org.jivesoftware.xiff.data.whiteboard.Stroke;
-	import org.jivesoftware.xiff.data.whiteboard.Fill;
+	import org.jivesoftware.xiff.data.whiteboard.*;
 	import flash.xml.XMLNode;
 	 
 	/**
@@ -53,7 +51,7 @@
 		public function Path( parent:XMLNode=null )
 		{
 			//super( parent );
-	        mySegments = new Array();
+	        mySegments = [];
 			myStroke = new Stroke();
 			myFill = new Fill();
 		}
@@ -89,7 +87,7 @@
 	
 			// Divide and conquer, using commands as delims, joining
 			// the results in prefix order
-	        mySegments = new Array();
+	        mySegments = [];
 	        _lastLocation = new Object;
 			loadNextCommand(p);
 	
Index: jivesoftware/xiff/data/whiteboard/WhiteboardExtension.as
===================================================================
--- jivesoftware/xiff/data/whiteboard/WhiteboardExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/whiteboard/WhiteboardExtension.as	(working copy)
@@ -56,7 +56,7 @@
 		public function WhiteboardExtension( parent:XMLNode=null )
 		{
 			super( parent );
-	        myPaths = new Array();
+	        myPaths = [];
 		}
 	
 		/**
@@ -125,7 +125,7 @@
 		public function deserialize( node:XMLNode ):Boolean
 		{
 			setNode( node );
-	        myPaths = new Array();
+	        myPaths = [];
 			
 	        for (var i:int=0; i < node.childNodes.length; i++) {
 	            var child:XMLNode = node.childNodes[i];
Index: jivesoftware/xiff/data/xhtml/XHTMLExtension.as
===================================================================
--- jivesoftware/xiff/data/xhtml/XHTMLExtension.as	(revision 10990)
+++ jivesoftware/xiff/data/xhtml/XHTMLExtension.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data.xhtml{
+package org.jivesoftware.xiff.data.xhtml{
 	
 	/*
 	 * Copyright (C) 2003-2007 
Index: jivesoftware/xiff/data/XMLStanza.as
===================================================================
--- jivesoftware/xiff/data/XMLStanza.as	(revision 10990)
+++ jivesoftware/xiff/data/XMLStanza.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data{
+package org.jivesoftware.xiff.data{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
Index: jivesoftware/xiff/data/XMPPStanza.as
===================================================================
--- jivesoftware/xiff/data/XMPPStanza.as	(revision 10990)
+++ jivesoftware/xiff/data/XMPPStanza.as	(working copy)
@@ -1,4 +1,4 @@
-﻿package org.jivesoftware.xiff.data{
+package org.jivesoftware.xiff.data{
 	/*
 	 * Copyright (C) 2003-2007 
 	 * Nick Velloff <nick.velloff@gmail.com>
Index: jivesoftware/xiff/events/PresenceEvent.as
===================================================================
--- jivesoftware/xiff/events/PresenceEvent.as	(revision 10990)
+++ jivesoftware/xiff/events/PresenceEvent.as	(working copy)
@@ -24,7 +24,7 @@
 package org.jivesoftware.xiff.events
 {
 	import flash.events.Event;
-	import org.jivesoftware.xiff.data.Presence;
+	import org.jivesoftware.xiff.data.*;
 
 	public class PresenceEvent extends Event
 	{
Index: jivesoftware/xiff/events/RoomEvent.as
===================================================================
--- jivesoftware/xiff/events/RoomEvent.as	(revision 10990)
+++ jivesoftware/xiff/events/RoomEvent.as	(working copy)
@@ -25,7 +25,7 @@
 {
 	import flash.events.Event;
 	
-	import org.jivesoftware.xiff.data.Message;
+	import org.jivesoftware.xiff.data.*;
 
 	public class RoomEvent extends Event
 	{
Index: jivesoftware/xiff/exception/SerializationException.as
===================================================================
--- jivesoftware/xiff/exception/SerializationException.as	(revision 10990)
+++ jivesoftware/xiff/exception/SerializationException.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Nick Velloff <nick.velloff@gmail.com>
  * Derrick Grigg <dgrigg@rogers.com>
Index: jivesoftware/xiff/im/Roster.as
===================================================================
--- jivesoftware/xiff/im/Roster.as	(revision 10990)
+++ jivesoftware/xiff/im/Roster.as	(working copy)
@@ -1,4 +1,4 @@
-﻿/*
+/*
  * Copyright (C) 2003-2007 
  * Nick Velloff <nick.velloff@gmail.com>
  * Derrick Grigg <dgrigg@rogers.com>
@@ -117,7 +117,7 @@
 		//FIXME: does not support multiple pending requests
 		private var pendingSubscriptionRequestJID:UnescapedJID;
 		//FIXME: maps should not be arrays
-		private var _presenceMap:Array = new Array();
+		private var _presenceMap:Array = [];
 		
 		[Bindable]
 		public var groups:ArrayCollection = new ArrayCollection();
Index: jivesoftware/xiff/vcard/VCard.as
===================================================================
--- jivesoftware/xiff/vcard/VCard.as	(revision 10990)
+++ jivesoftware/xiff/vcard/VCard.as	(working copy)
@@ -64,7 +64,7 @@
 			if(!cacheFlushTimer.running)
 			{
 				cacheFlushTimer.start();
-				cacheFlushTimer.addEventListener(TimerEvent.TIMER, function(evt:TimerEvent):void {
+				cacheFlushTimer.addEventListener(TimerEvent.TIMER, function(event:TimerEvent):void {
 					var tempCache:Object = cache;
 					cache = {};
 					for each(var cachedCard:VCard in tempCache)
@@ -101,7 +101,7 @@
 			requestTimer.start();
 		}
 		
-		private static function sendRequest(evt:TimerEvent):void
+		private static function sendRequest(event:TimerEvent):void
 		{
 			if(requestQueue.length == 0)
 				return;
